
From: Jesse Barnes <jbarnes@engr.sgi.com>

Small bug fix for domains that don't load balance (like those that only
balance on exec for example).

Signed-off-by: John Hawkes <hawkes@sgi.com>
Signed-off-by: Jesse Barnes <jbarnes@sgi.com>
Acked-by: Nick Piggin <nickpiggin@yahoo.com.au>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN kernel/sched.c~sched-small-load-balance-fix kernel/sched.c
--- 25/kernel/sched.c~sched-small-load-balance-fix	2004-10-21 14:54:28.272625400 -0700
+++ 25-akpm/kernel/sched.c	2004-10-21 14:54:28.278624488 -0700
@@ -4388,11 +4388,10 @@ static void sched_domain_debug(void)
 			printk("domain %d: ", level);
 
 			if (!(sd->flags & SD_LOAD_BALANCE)) {
-				printk("does not balance");
+				printk("does not load-balance");
 				if (sd->parent)
 					printk(" ERROR !SD_LOAD_BALANCE domain has parent");
 				printk("\n");
-				break;
 			}
 
 			printk("span %s\n", str);
_
